package cn.ibizlab.humanresource.core.humanresource.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.humanresource.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.humanresource.core.humanresource.domain.HRArchives;
/**
 * 关系型数据实体[HRArchives] 查询条件对象
 */
@Slf4j
@Data
public class HRArchivesSearchContext extends QueryWrapperContext<HRArchives> {

	private String n_hrarchivesname_like;//[档案信息名称]
	public void setN_hrarchivesname_like(String n_hrarchivesname_like) {
        this.n_hrarchivesname_like = n_hrarchivesname_like;
        if(!ObjectUtils.isEmpty(this.n_hrarchivesname_like)){
            this.getSearchCond().like("hrarchivesname", n_hrarchivesname_like);
        }
    }
	private String n_hremployeeid_eq;//[员工标识]
	public void setN_hremployeeid_eq(String n_hremployeeid_eq) {
        this.n_hremployeeid_eq = n_hremployeeid_eq;
        if(!ObjectUtils.isEmpty(this.n_hremployeeid_eq)){
            this.getSearchCond().eq("hremployeeid", n_hremployeeid_eq);
        }
    }
	private String n_hremployeename_eq;//[员工姓名]
	public void setN_hremployeename_eq(String n_hremployeename_eq) {
        this.n_hremployeename_eq = n_hremployeename_eq;
        if(!ObjectUtils.isEmpty(this.n_hremployeename_eq)){
            this.getSearchCond().eq("hremployeename", n_hremployeename_eq);
        }
    }
	private String n_hremployeename_like;//[员工姓名]
	public void setN_hremployeename_like(String n_hremployeename_like) {
        this.n_hremployeename_like = n_hremployeename_like;
        if(!ObjectUtils.isEmpty(this.n_hremployeename_like)){
            this.getSearchCond().like("hremployeename", n_hremployeename_like);
        }
    }
	private String n_archivesplacetype_eq;//[档案保管地]
	public void setN_archivesplacetype_eq(String n_archivesplacetype_eq) {
        this.n_archivesplacetype_eq = n_archivesplacetype_eq;
        if(!ObjectUtils.isEmpty(this.n_archivesplacetype_eq)){
            this.getSearchCond().eq("archivesplacetype", n_archivesplacetype_eq);
        }
    }
	private String n_degree_eq;//[档案学历]
	public void setN_degree_eq(String n_degree_eq) {
        this.n_degree_eq = n_degree_eq;
        if(!ObjectUtils.isEmpty(this.n_degree_eq)){
            this.getSearchCond().eq("degree", n_degree_eq);
        }
    }
	private String n_borrowstate_eq;//[档案借阅状态]
	public void setN_borrowstate_eq(String n_borrowstate_eq) {
        this.n_borrowstate_eq = n_borrowstate_eq;
        if(!ObjectUtils.isEmpty(this.n_borrowstate_eq)){
            this.getSearchCond().eq("borrowstate", n_borrowstate_eq);
        }
    }
	private String n_hrorganizationid_eq;//[档案管理单位ID]
	public void setN_hrorganizationid_eq(String n_hrorganizationid_eq) {
        this.n_hrorganizationid_eq = n_hrorganizationid_eq;
        if(!ObjectUtils.isEmpty(this.n_hrorganizationid_eq)){
            this.getSearchCond().eq("hrorganizationid", n_hrorganizationid_eq);
        }
    }
	private String n_hrorganizationname_eq;//[档案管理单位]
	public void setN_hrorganizationname_eq(String n_hrorganizationname_eq) {
        this.n_hrorganizationname_eq = n_hrorganizationname_eq;
        if(!ObjectUtils.isEmpty(this.n_hrorganizationname_eq)){
            this.getSearchCond().eq("hrorganizationname", n_hrorganizationname_eq);
        }
    }
	private String n_hrorganizationname_like;//[档案管理单位]
	public void setN_hrorganizationname_like(String n_hrorganizationname_like) {
        this.n_hrorganizationname_like = n_hrorganizationname_like;
        if(!ObjectUtils.isEmpty(this.n_hrorganizationname_like)){
            this.getSearchCond().like("hrorganizationname", n_hrorganizationname_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("hrarchivesname", query)   
            );
		 }
	}
}



